RAILS PASSENGER 安装失败的解决过程

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/miyatang/article/details/5304358

[root@cntest2 ~]# gem install passenger
ERROR:  could not find gem passenger locally or in a repository
[root@cntest2 ~]# gem install passenger -v=2.2.5
ERROR:  Error installing passenger:
    invalid gem format for /usr/local/ruby/lib/ruby/gems/1.9.1/cache/fastthread-1.0.7.gem
[root@cntest2 ~]# gem install passenger -v=2.2.1
ERROR:  Error installing passenger:
    invalid gem format for /usr/local/ruby/lib/ruby/gems/1.9.1/cache/fastthread-1.0.7.gem

    [root@cntest2 download]# wget http://rubyforge.org/frs/download.php/54692/fastthread-1.0.7.gem
--10:35:28--  http://rubyforge.org/frs/download.php/54692/fastthread-1.0.7.gem
           => `fastthread-1.0.7.gem'
Resolving rubyforge.org... 205.234.109.19
Connecting to rubyforge.org|205.234.109.19|:80... connected.
HTTP request sent, awaiting response... 302 Found
Location: http://files.rubyforge.vm.bytemark.co.uk/mongrel/fastthread-1.0.7.gem [following]
--10:35:39--  http://files.rubyforge.vm.bytemark.co.uk/mongrel/fastthread-1.0.7.gem
           => `fastthread-1.0.7.gem'
Resolving files.rubyforge.vm.bytemark.co.uk... 80.68.94.54
Connecting to files.rubyforge.vm.bytemark.co.uk|80.68.94.54|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 21,504 (21K) [application/x-tar]

100%[==========================================>] 21,504        41.63K/s            

10:35:52 (41.60 KB/s) - `fastthread-1.0.7.gem' saved [21504/21504]


[root@cntest2 download]# ll *.gem
-rw-r--r--  1 root root 21504 Apr  9  2009 fastthread-1.0.7.gem
[root@cntest2 download]# gem install fastthread-1.0.7.gem
Building native extensions.  This could take a while...
Successfully installed fastthread-1.0.7
1 gem installed
Installing ri documentation for fastthread-1.0.7...
Installing RDoc documentation for fastthread-1.0.7...
[root@cntest2 download]# gem install passenger
Building native extensions.  This could take a while...
Successfully installed passenger-2.2.9
1 gem installed
Installing ri documentation for passenger-2.2.9...
Updating class cache with 2267 classes...
Installing RDoc documentation for passenger-2.2.9...
[root@cntest2 download]#


[root@cntest2 download]# passenger-install-apache2-module
Welcome to the Phusion Passenger Apache 2 module installer, v2.2.9.

This installer will guide you through the entire installation process. It
shouldn't take more than 3 minutes in total.

Here's what you can expect from the installation process:

 1. The Apache 2 module will be installed for you.
 2. You'll learn how to configure Apache.
 3. You'll learn how to deploy a Ruby on Rails application.

Don't worry if anything goes wrong. This installer will advise you on how to
solve any problems.

Press Enter to continue, or Ctrl-C to abort.

展开阅读全文

pyinstaller安装失败解决过程

01-25

楼主是Python小白,在学编程的过程中难免需要用到这个可以将.py文件打包成可执行文件(.exe)的包——pyinstaller。接下来就是安装这个包的玄学历程。n 首先我看的学习视频上说只要pip install pyinstaller就好了,简单快捷,非常好用。可实际上下载的时候那速度慢的令人难以忍受,在经历了十来次的尝试以后,我终于下载下来了,可是安装却提示了一大串错误(就不附图了,现在已经没有留存)。这个错误比较好解决,其实就是下载超时,拒绝访问。n随后我来到了万能的CSDN,找到了利用第三方网站进行下载,但是还是提示报错。这次报错就比较玄学了,它说我缺少wheel的requirements。n 于是,我查了十几篇帖子,看了许多关于安装包是wheel的相关报错的解决办法。n1.去下载一个wheel进行安装。亲测没用,只对snapy包有用。n2.使用wheel安装命令。使用pip install wheel命令进行安装,提示安装成功,但是继续安装pyinstaller的时候还是不行。n3.官网下载zip包进行安装。官网太太太烦了,根本下不下来n 在搞了两天无果后,我求助了我的同学(就不实名表扬了!)他重装了电脑之后也出现了这个问题,随后他下载了官网上的包,使用python setup.py install命令cd到解压以后得目录进行安装,他直接成功了,但我还是报错,这次是typeerrorn 然后!重点来啦!我又重新使用pip install pyinstaller命令进行安装,竟然可以了!n玄学![img=https://img-bbs.csdn.net/upload/201901/25/1548416395_817740.jpg][/img][img=https://img-bbs.csdn.net/upload/201901/25/1548416403_311909.jpg][/img] 论坛

没有更多推荐了,返回首页